import random

import model


def generate_keys(count=1):
    # source https://stackoverflow.com/questions/17049308/python-3-3-serial-key-generator-list-problems
    seq = "ABCDFGHJIKLMNPQRSTUVWXYZ123456789"

    for i in range(count):
        key = '-'.join(''.join(random.choice(seq) for _ in range(5)) for _ in range(5))
        model.save_key(key)
        print(key)


def unused_keys():
    print("\n".join(model.unused_keys()))


def cleanup():
    if model.connection is not None:
        model.connection.commit()
        model.connection.close()


if __name__ == '__main__':
    # generate_keys(count=8)
    # unused_keys

    cleanup()
